python-fiu_0.93-2+b1_amd64.deb


Advertisement

Description

python-fiu - userspace fault injection framework (Python bindings)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-fiu
Package version 0.93
Package release 2+b1
Package architecture amd64
Package type deb
Installed size 60 B
Download size 10.05 KB
Official Mirror ftp.br.debian.org
libfiu is a C library for fault injection. It provides functions to mark
"points of failure" inside your code (the "core API"), and functions to
enable/disable the failure of those points (the "control API").
This package contains Python bindings to libfiu.

Alternatives

Package Version Architecture Repository
python-fiu_0.93-2_i386.deb 0.93 i386 Debian Main
python-fiu - - -

Requires

Name Value
libc6 >= 2.4
libfiu0 = 0.93-2+b1
python >= 2.7
python << 2.8

Download

Type URL
Binary Package python-fiu_0.93-2+b1_amd64.deb
Source Package libfiu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-fiu deb package:
    # sudo apt-get install python-fiu

Files

Path
/usr/lib/python2.7/dist-packages/fiu-0.0.0.egg-info
/usr/lib/python2.7/dist-packages/fiu.py
/usr/lib/python2.7/dist-packages/fiu_ctrl.py
/usr/lib/python2.7/dist-packages/fiu_ll.so
/usr/share/doc/python-fiu/changelog.Debian.amd64.gz
/usr/share/doc/python-fiu/changelog.Debian.gz
/usr/share/doc/python-fiu/copyright

Changelog

2014-07-30 - Chris Lamb <lamby@debian.org>
libfiu (0.93-2) unstable; urgency=low
* Add patch from upstream to fix FTBFS on i386.
2014-07-29 - Chris Lamb <lamby@debian.org>
libfiu (0.93-1) unstable; urgency=medium
* New upstream release.
* Strip Debian revision from symbols.
2013-10-30 - Chris Lamb <lamby@debian.org>
libfiu (0.92-1) unstable; urgency=low
* New upstream release.
* Add "this work is to be considered Public Domain" to debian/copyright.
Thanks to Ansgar Burchardt.
* Bump Standards-Version to 3.9.4.
* Update debian/symbols.
2013-05-23 - Chris Lamb <lamby@debian.org>
libfiu (0.91-2) unstable; urgency=low
* Require the testsuite to pass at request of upstream - was optional since
0.90-3.
* Add/fix support for python3:
- Add python3-fiu binary to debian/control
- Adjust debian/rules to build for all versions
- Change python/python3 build deps to python{3}-all-dev to support build
for all versions
Thanks to Scott Kitterman <debian@kitterman.com>.
* Move to dh_python2. Thanks to Scott Kitterman <debian@kitterman.com>.
2012-09-06 - Chris Lamb <lamby@debian.org>
libfiu (0.91-1) unstable; urgency=low
* New upstream release.
* Update symbols.
* Drop 01_wrap_python_for_tests.diff - applied upstream.
* Drop 02_include_stdlib.diff - applied upstream.
2012-04-11 - Chris Lamb <lamby@debian.org>
libfiu (0.90-3) unstable; urgency=low
* Make passing the testsuite optional; upstream does not 100% rely on it yet
on all architectures.
2012-04-06 - Chris Lamb <lamby@debian.org>
libfiu (0.90-2) unstable; urgency=low
* Apply patch from upstream to attempt to fix broken builds.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=005a56fbcb5ab8045f9d51676c521b335f058552>
2012-04-05 - Chris Lamb <lamby@debian.org>
libfiu (0.90-1) unstable; urgency=low
* New upstream release.
* Add python3-dev to Build-Depends.
* Add patch from upstream to fix Python tests.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=83fb1e675de26ad5409e554e2947e53c8f1b10c0>
* Update symbols.
2011-11-16 - Chris Lamb <lamby@debian.org>
libfiu (0.14-2) unstable; urgency=low
* Add missing Build-Depends on python-support. (Closes: #642450)
2011-07-15 - Chris Lamb <lamby@debian.org>
libfiu (0.14-1) unstable; urgency=low
* New upstream release.
- Drop "01_libc6_location.diff"; applied upstream.
- Drop "02_mode_t_freebsd.diff"; applied upstream.
* Update Vcs-{Git,Browser}.
* Bump Standards-Version to 3.9.1.
* Bump Standards-Version to 3.9.2.

See Also

Package Description
python-fixtures_0.3.14-1.1_all.deb PyUnit extension for defining test fixtures outside of test cases - Python 2.x
python-flake8_2.2.2-1_all.deb code checker using pep8 and pyflakes
python-flask-autoindex-doc_0.5-3_all.deb automatically generated index pages for Flask applications (documentation)
python-flask-autoindex_0.5-3_all.deb automatically generated index pages for Flask applications
python-flask-babel-doc_0.9-1_all.deb internationalization and localization support for Flask (documentation)
python-flask-babel_0.9-1_all.deb internationalization and localization support for Flask
python-flask-doc_0.10.1-2_all.deb documentation for Flask micro web framework
python-flask-httpauth_2.2.1-1_all.deb Basic and Digest HTTP authentication for Flask routes
python-flask-login_0.2.6-1_all.deb user session management for Flask
python-flask-migrate_1.2.0-1_all.deb SQLAlchemy database migrations for Flask applications using Alembic
python-flask-openid-doc_1.2.3+dfsg-3_all.deb OpenID support for Flask applications (documentation)
python-flask-openid_1.2.3+dfsg-3_all.deb OpenID support for Flask applications (Python 2)
python-flask-principal_0.4.0-1_all.deb identity management for Flask
python-flask-script_0.6.7-1_all.deb set of utilities for use with the Flask framework
python-flask-silk-doc_0.2-3_all.deb FamFamFam Silk icon set for Flask applications (documentation)
Advertisement
Advertisement